Page MenuHomePhabricator

Grant root access on Wikimedia DC server to legoktm, Isarra, and Emufarmers
Closed, ResolvedPublic

Description

Wikimedia DC needs new sysadmins. Lego, Isarra, and Emu have volunteered, and I would like to give them root access to the Wikimedia DC server.

Technically this should be assigned to Kirill. But Kirill is not on Phabricator, and I don't see him creating an account for just this task. (He's the one remaining root user on the server, but he's not really involved in running the server or the site back-end.) I am mostly creating this task 1) to remind me to bug Kirill until it happens and 2) so that it can block the other tasks I have in mind.

[EDIT] Instead assigning it to jeremyb, who I believe has root access.

[EDIT 2] Assigning back to myself, now that I have root access. (Easier for Kirill to assign to me than to someone who does not yet have an account.)

Event Timeline

Harej created this task.Feb 10 2015, 4:13 AM
Harej claimed this task.
Harej raised the priority of this task from to Normal.
Harej updated the task description. (Show Details)
Harej added a project: Wikimedia-DC.
Harej added subscribers: Legoktm, Isarra, Emufarmers.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 10 2015, 4:13 AM
Harej raised the priority of this task from Normal to High.Feb 10 2015, 4:17 AM
Harej set Security to None.
Legoktm renamed this task from Grant root access to legoktm, Isarra, and Emufarmers to Grant root access on Wikimedia DC server to legoktm, Isarra, and Emufarmers.Feb 10 2015, 4:27 AM
Harej reassigned this task from Harej to jeremyb.Mar 25 2015, 7:56 AM
Harej updated the task description. (Show Details)
Harej added a subscriber: Harej.

I didn't see this until now. Won't have much free time over the next 10 days so e.g. can't discuss much how things are setup. and some things I don't know. (were originally set up by @demon or @aude)

I should be able to do keys soon but first I need the keys.

Do you all have labs accounts? with keys in Wikitech prefs?

account names?

jeremyb removed a subscriber: demon.Mar 26 2015, 5:09 PM

My ssh key is https://github.com/legoktm.keys. Preferred username is "legoktm".

My keys are on in my Wikitech prefs.

Isarra added a comment.Apr 9 2015, 4:15 AM

I do, but I have no idea how to link it or whatever. Same account name, though.

Harej added a comment.Apr 18 2015, 2:17 AM

@jeremyb, is this enough information?

Harej raised the priority of this task from High to Unbreak Now!.May 1 2015, 6:04 PM

sorry I forgot about you guys, working on it now.

I can't get in myself. maybe my latest key isn't on there yet. I can try another key with a computer at home. (not home now)

or else we could just use one of the rescue options.

Harej claimed this task.May 2 2015, 3:47 PM
Harej updated the task description. (Show Details)
Harej closed this task as Resolved.May 3 2015, 12:43 AM

Thanks jeremyb and harej!

Harej moved this task from Backlog to Done on the Wikimedia-DC board.Jul 28 2015, 6:31 PM